package schema;


class QuadCurve extends Line {
	public var point1 : Point;
	public var point2 : Point;

	public function new (start : Point, end : Point, xDst : Int, yDst : Int) {
		super (start, end);
		if (start.y == end.y) {
			point1 = { x : start.x, y : start.y + yDst };
			point2 = { x : end.x, y : start.y + yDst };
		} else {
			point1 = { x : start.x + xDst, y : start.y };
			point2 = { x : start.x + xDst, y : end.y };
		}
	}
}
